<?php
use Illuminate\Http\Request;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('user/loginView', function () {
    //return Redirect::to('https://progiciel.geststudent.net/');
    return Redirect::to('https://modules.sigan.bj/GestJury/redirect.php');
})->name('user/loginView');    

//Route::get('/', 'HomeController@home')->name('home')->middleware('auth');
Route::get('/', function () {
    return view('login');
})->name('login');
//Route::post('user/login', 'AuthController@login'  )->name('user/login');
Route::get('user/login', 'AuthController@login'  )->name('user/login');
Route::get('user/logout', 'AuthController@logout')->name('user/logout');

Route::resource('admin/membre-jury', 'Admin\\MembreJuryController');
Route::resource('admin/jury', 'Admin\\JuryController');
Route::resource('admin/salle', 'Admin\\SalleController');
Route::resource('admin/membre-jury', 'Admin\\MembreJuryController');
Route::resource('admin/membre-jury', 'Admin\\MembreJuryController');
Route::post('download_pdf', function(Request $request) {
    return app('App\Http\Controllers\DownloadController')->download_pdf($request);
})->name('download_pdf'); 
Route::get('download_jury/{id_jury}/{filename}', 'DownloadController@download_jury_pdf')->name('download_jury'); 

Route::resource('admin/signataire', 'Admin\\SignataireController');